%global reldate 20060411
%global reldir  19757

%global momorel 0.%{reldate}.1

%global md5sum_src0 3de4722bc0e42334670a7170ec8d101e

Summary: browser-based IMAP client using Aajx
Name: roundcubemail
Version: 0.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.roundcube.net/
# See Japanese Info: http://oss.poyo.jp/roundcube-ja/
Group: Applications/Internet
%NoSource 0 http://osdn.dl.sourceforge.jp/roundcube-ja/%{reldir}/roundcubemail-ja-%{reldate}.tar.gz %{md5sum_src0}
Source2: roundcubemail.conf.httpd

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: php, webserver
BuildRequires: perl

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an application-like user interface.
It provides full functionality you expect from an e-mail client, including MIME support, address book,
folder manipulation and message filters. RoundCube Webmail is written in PHP and requires the MySQL database.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%setup -q -n roundcubemail

perl -p -i -e 's|temp/|/var/lib/roundcubemail/temp/|' config/main.inc.php
perl -p -i -e 's|logs/|/var/lib/roundcubemail/logs/|' config/main.inc.php

perl -p -i -e 's|dirname\(\ dirname\(\ __FILE__\)\)\.\"\/db\/sqlite\.db\"|"/var/lib/roundcubemail/db/sqlite.db"|' config/db.inc.php
perl -p -i -e 's|\?mode=0646|?mode=644|' config/db.inc.php

rm -rf db temp logs

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

# config
mkdir -p -m0755 %{buildroot}%{_sysconfdir}/roundcubemail
mkdir -p -m0755 %{buildroot}%{_datadir}/roundcubemail/config
mkdir -p -m0755 %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m 0644 config/main.inc.php %{buildroot}%{_sysconfdir}/roundcubemail
install -m 0644 config/db.inc.php   %{buildroot}%{_sysconfdir}/roundcubemail
ln -s %{_sysconfdir}/roundcubemail/main.inc.php %{buildroot}%{_datadir}/roundcubemail/config/main.inc.php
ln -s %{_sysconfdir}/roundcubemail/db.inc.php   %{buildroot}%{_datadir}/roundcubemail/config/db.inc.php
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/roundcubemail.conf.dist

# index.php
mkdir -p -m0755 %{buildroot}%{_datadir}/roundcubemail
install -m 0644 index.php %{buildroot}%{_datadir}/roundcubemail

# SQL script
mkdir -p -m0755 %{buildroot}%{_datadir}/roundcubemail/SQL
install -m 0644 SQL/* %{buildroot}%{_datadir}/roundcubemail/SQL

# php script
cp -rp program %{buildroot}%{_datadir}/roundcubemail

# skin
cp -rp skins   %{buildroot}%{_datadir}/roundcubemail

mkdir -p -m0755 %{buildroot}%{_localstatedir}/lib/roundcubemail/{db,temp,logs}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%config %dir %{_sysconfdir}/roundcubemail
%config(noreplace) %{_sysconfdir}/roundcubemail/main.inc.php
%config(noreplace) %{_sysconfdir}/roundcubemail/db.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/roundcubemail.conf.dist
%doc CHANGELOG CHANGELOG.ja LICENSE README UPGRADING
%dir %{_datadir}/roundcubemail
%dir %{_localstatedir}/lib/roundcubemail
%{_datadir}/roundcubemail/SQL
%{_datadir}/roundcubemail/program
%{_datadir}/roundcubemail/skins
%{_datadir}/roundcubemail/config
%{_datadir}/roundcubemail/index.php
%attr(0700,apache, apache) %dir %{_localstatedir}/lib/roundcubemail/db
%attr(0700,apache, apache) %dir %{_localstatedir}/lib/roundcubemail/temp
%attr(0700,apache, apache) %dir %{_localstatedir}/lib/roundcubemail/logs

%changelog
* Mon Apr 24 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.1-0.20060411.1m)
- initial commit
